Bug 5877 - kernel-modules-amedyn не собирается даже в hasher, если базовая система на ядре 2.6
: kernel-modules-amedyn не собирается даже в hasher, если базовая система на яд...
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/kernel-modules-amedyn-std-up)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2005-01-14 17:32 by
Modified: 2005-07-13 15:47 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-01-14 17:32:18
kernel-modules-amedyn(alt7 и alt8) не собирается даже в hasher,
если базовая система на ядре 2.6.

Проблема в этой строчке в Makefile:
DEST_KERNEL_MAIN = $(shell uname -r | cut -d'.' -f1-2)

Предлагаю в спеке заменить:
в %build
%__make CC=gcc KERNEL_PATH=%_usrsrc/linux-%kversion-%flavour
на
%__make CC=gcc \
KERNEL_PATH=%_usrsrc/linux-%kversion-%flavour \
DEST_KERNEL_MAIN=2.4

и в %install
%__make install MODULE_PATH=%buildroot/%module_dir
на
%__make install MODULE_PATH=%buildroot/%module_dir \
DEST_KERNEL_MAIN=2.4
------- Comment #1 From 2005-01-15 02:45:07 -------
Ух-ты! Просто телепатия какая-то. Как раз сижу, исправляю эти строчки. 
Сейчас залью, будет собираться на любой системе, под ядра 2.4 и 2.6 
------- Comment #2 From 2005-01-15 03:28:20 -------
Fixed in 
kernel-modules-amedyn-std-up-20040801-alt1.src.rpm 
------- Comment #3 From 2005-02-05 23:41:38 -------
считаю, что вопрос закрыт